## wrt-experimental 1.1tp-2

=== debian/changelog ===
wrt-experimental (1.1tp-2) unstable; urgency=low

  * Web Runtime Technology Preview for N900

 -- Xizhi Zhu <xizhi.zhu@nokia.com>  Tue, 03 Aug 2010 08:00:00 +0300
