=== wrt/serviceproviders/examples/platform/maemo/serviceproviders-dev-example/debian/changelog ===
cwrt-sfwproviders (0.1-1) unstable; urgency=low

  * Initial Debian release of Nokia Common Web Runtime (CWRT) service framework providers for Maemo

 -- Juha Herrala <juha.herrala@nokia.com>  Mon, 07 Sep 2009 13:45:50 +0200
