=== debian/control ===
Source: wrt-experimental
Section: web
Priority: optional
Maintainer: Xizhi Zhu <xizhi.zhu@nokia.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6), libgconf2-dev, libxml2-dev, libhildon1-dev, libosso-dev, libhildondesktop1-dev, libhildonmime-dev, libosso-gnomevfs2-dev, libarchive-dev, libssl-dev
Standards-Version: 3.7.2

Package: qtwrt-experimental
Architecture: any
Section: user/system
Depends: ${misc:Depends}, wrt-experimental (= ${binary:Version}), wrt-api-experimental (= ${binary:Version})
XB-Maemo-Display-Name: Qt Web Runtime
XSBC-Bugtracker: http://developer.qt.nokia.com/forums/viewforum/20/
Description: Qt Web Runtime Technology Preview for N900

Package: libwrt-experimental1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite (>= 4.6)
Description: Qt Web Runtime libraries for Maemo

Package: libwrt-experimental1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, libwrt-experimental1 (= ${binary:Version})
Description: Qt Web Runtime debug package for the Maemo libraries

Package: libwrt-experimental-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libwrt-experimental1 (= ${binary:Version})
Description: Qt Web Runtime development package for Maemo

Package: wrt-experimental
Architecture: any
Section: web
Depends: ${shlibs:Depends}, ${misc:Depends}, libwrt-experimental1 (= ${binary:Version}), unzip
Description: Qt Web Runtime binaries for Maemo

Package: wrt-experimental-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, wrt-experimental (= ${binary:Version})
Description: Qt Web Runtime debug package for the Maemo binaries
