=== wrt/serviceproviders/examples/platform/maemo/serviceproviders-dev-example/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export WEBKITDIR=$(CURDIR)
export WRT_HOME=$(CURDIR)
export DEBIAN_HOME=$(CURDIR)/debian
# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

prepare:


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	qmake sampleproviders.pro
	touch configure-stamp

build: prepare build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	# Build WRT
	# Option1: full build
	$(MAKE) -j4

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#if [ -f $(WRT_HOME)/Makefile ]; then cd $(WRT_HOME) && $(MAKE) distclean; fi
	#if [ -f $(WRT_HOME)/maemo/Makefile ]; then cd $(WRT_HOME)/maemo && $(MAKE) distclean; fi
	#if [ -f $(WRT_HOME)/maemo/tests/Makefile ]; then cd $(WRT_HOME)/maemo/tests && $(MAKE) distclean; fi
	#cd $(WRT_HOME)

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	#
	# to be done, currently reading from .install files
	#


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip --dbg-package=cwrt-dbg
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
